# wxFindReplaceData Class Reference
[Common Dialogs, Data Structures]

`#include <wx/fdrepdlg.h>`

Inheritance diagram for wxFindReplaceData:
[legend]

## Detailed Description

wxFindReplaceData holds the data for wxFindReplaceDialog.

It is used to initialize the dialog with the default values and will keep the last values from the dialog when it is closed. It is also updated each time a wxFindDialogEvent is generated so instead of using the wxFindDialogEvent methods you can also directly query this object.

Note that all `SetXXX()` methods may only be called before showing the dialog and calling them has no effect later.

##

Library: wxCore

Category: Common Dialogs, Data Structures

## Public Member Functions
| wxFindReplaceData (wxUint32 flags=0)
| Constructor initializes the flags to default value (0).
const wxString & | GetFindString ()
| Get the string to find.
int | GetFlags () const
| Get the combination of `wxFindReplaceFlags` values.
const wxString & | GetReplaceString ()
| Get the replacement string.
void | SetFindString (const wxString &str)
| Set the string to find (used as initial value by the dialog).
void | SetFlags (wxUint32 flags)
| Set the flags to use to initialize the controls of the dialog.
void | SetReplaceString (const wxString &str)
| Set the replacement string (used as initial value by the dialog).

List of all members.

## Constructor & Destructor Documentation

wxFindReplaceData::wxFindReplaceData | ( | wxUint32 | flags = `0` | ) |

Constructor initializes the flags to default value (0).

## Member Function Documentation

const wxString& wxFindReplaceData::GetFindString | ( |  | ) |

Get the string to find.

int wxFindReplaceData::GetFlags | ( |  | ) | const

Get the combination of `wxFindReplaceFlags` values.

const wxString& wxFindReplaceData::GetReplaceString | ( |  | ) |

Get the replacement string.

void wxFindReplaceData::SetFindString | ( | const wxString & | str | ) |

Set the string to find (used as initial value by the dialog).

void wxFindReplaceData::SetFlags | ( | wxUint32 | flags | ) |

Set the flags to use to initialize the controls of the dialog.

void wxFindReplaceData::SetReplaceString | ( | const wxString & | str | ) |

Set the replacement string (used as initial value by the dialog).

|  | [ top ]